<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/ingresa-carga/10"></ion-back-button>
      <ion-title>Paso 2 de 3</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-list lines="none">
    <ion-item lines="none" style="padding-top:5px;padding-left: 24px; padding-bottom:10px;">
      <label
      class="main-title">Busca una estación</label>
    </ion-item>
  </ion-list>


  <div #mapElement class="mapElement"></div>

  <ion-list lines="none" style="height:230px; overflow:scroll">
    <ion-item *ngFor="let estacion of estacionesObtenidas; let i = index" id="card-{{i}}">
      <app-tarjeta-estacion style="
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      justify-content: center;
      align-items: center;" [pedido]="{estacion, carga}"
      (click)="centraMapa(estacion.direccion.ubicacion)"></app-tarjeta-estacion>
    </ion-item>
  </ion-list>

</ion-content>

